Subject: bug#73886: 29.4; Confusing info about void function cells in Emacs Lisp manual

From: Ulrich Müller <[email-masked]>
Date: Sun, 27 Oct 2024 14:40:36 +0100

>>>>> On Sun, 27 Oct 2024, Eli Zaretskii wrote:

> Thanks, I've now updated the documentation, and I'm closing this bug.

TBH, I find the new wording still confusing: "It is impossible to
distinguish between a function cell that is void and one set to nil."
After commit eadf1faa3cb5eea8c25a5166a9a97ebd63525c56 there are no void
function cells any more. They start out as nil and they always contain
a lisp object. So, differentiating between nil and void in the manual
seems a little artificial.

Also, there is the following paragraph in symbols.texi which probably
should be updated (regardless of what I said above):

|   The function cell or the value cell may be @dfn{void}, which means
| that the cell does not reference any object.  (This is not the same
| thing as holding the symbol @code{void}, nor the same as holding the
| symbol @code{nil}.)  Examining a function or value cell that is void
| results in an error, such as @samp{Symbol's value as variable is void}.